#!/bin/sh

# This script will convert every .mmd mermaid file into a svg picture in the same directory.
# It will help import mermaid diagrams if it is not supported (yet?) by the documentation build system.

# Requirements
# - mmd files should be put in the /images directory
# - this script should be called inside the root directory

IMAGE_DIR=./images

find $IMAGE_DIR -iname '*.mmd' -exec sh -c 'mmdc -i $1 --configFile common/mermaid/config.json -o ${1%.mmd}.svg -b transparent' sh {} \;
